Support » Plugin: Essential WPBakery Page Builder (formerly Visual Composer) Addons » WPbakery Backend Editor is not working

  • Resolved vahidshokoohi

    (@vahidshokoohi)


    Hello
    I bought the love travel theme (from theme forest) with the WPBakery Visual Composer and I have more than 40 pages built with this plugin.
    Recently it does not work in Backend editor (when I klick Backend editor it shows nothing but classic editor shows all the code and everything on the page)

    WPBakery Visual Composer Version 4.11.2.1 (there is no announcement for updating)
    Wordpress Version 5.3.2 updated to 5.4 (the problem still remains)
    PHP Version 7.3
    I disabled all other plugins and nothin changed (there is no conflict)
    Role manager is enabled for users

    Thank you

Viewing 15 replies - 16 through 30 (of 35 total)
  • What worked for me:
    I downgraded with the WP downgrade plugin from 5.5.3 to 5.5.1
    I went into my wp editor and found the panel hanging on the right tab of the screen where you normally have Feature image and Publish post.
    I then dragged WP bakery builder back to the regular position.
    Problem solved.

    Cheers,

    I’m not sure if there’s a change in what’s getting called between WP versions, but there appears to be a difference in the way php5.6 and php7.3+ are configured.

    I turned on nginx debugging and saw that permission was denied to a few js and css files that WPBakery requires. By default, php is only allowed to execute .php files. Updating the “security.limit_extensions” in /etc/php-fpm.d/www.conf fixed the problem for me. This file path will likely change based on the Linux distribution you’re using. Assuming you have access to the server, you can run find /etc -iname '*www.conf*' and it’ll give you the location of that file. Then you can edit the file to include .css, .js, and whatever else you need.

    This is what I have:
    security.limit_extensions = .php .php3 .php4 .php5 .php7 .css .js

    You could leave it blank and allow it to execute everything, but that’s not wise in terms of security, as it’ll open you to the risk of malicious php injections.

    raleto

    (@raleto)

    @hassancortex You saved a project of mine with this tip. Your place in heaven is guaranteed! ahahahahaha

    umesh bathini

    (@umeshbathini)

    @hassancortex Thanks
    worked like a charm.

    kkarazim

    (@kkarazim)

    Per a spot of research, installing and activating this plugin solved it for me as well as highlighted the errors of any deprecated coding.

    https://wordpress.org/plugins/enable-jquery-migrate-helper/

    Tried all other avenues: updates, manual FTP, disabling plugins one by one to find conflcts. Nothing else worked.

    dashdesigns

    (@dashdesigns)

    Thanks kkarazim – that was a super quick fix for me!

    Anup Kumar

    (@anupvrj)

    @hassancortex Thanks. This works. I think only this solution works: downgrading WP version.

    OR

    You can update your WP Bakery if you have been using a licensed one.

    @hassancortex Thank you so much, this seem to work for me. Wonder when WPBakery will fix the issue.

    @themindfulman I could not find the right hand sidebar in the page editor window.

    Just read through the comments ref WP Bakery and am on WP 5.6.

    To get this to work, I went into WP Bakery Settings and disabled Gutenburg editor. A refresh of the dashboard and I was back up and running.

    This worked for me without having to go down the WP Downgrade option.

    Hope this helps!

    Monty

    joseagomez14

    (@joseagomez14)

    I had this problem before and identified that the visual composer was disabled, enabled it and the backend worked again.
    Right now I repeated the problem with another site and reviewing I did not have the visual composer so I installed it and I already have the backend editor back.
    as a note I tell you that I update to wordpress 5.6 and php 7.2 is working well for me.
    with php 7.3 certain wpbakery blocks don’t work for me.

    Thank You iainbeaumont!

    Your answer I believe is the best. I went into the WP Bakery Settings and disabled Gutenburg editor like you said – this resolved my issues without downgrading any software.

    -Sam

    • This reply was modified 10 months, 1 week ago by clonetronix.
    mazharcatalyst

    (@mazharcatalyst)

    Hello guys,

    I was facing same problem but got resolved by doing following thing.
    1.Go to “Being updating plugins” link given on updates dashboard. or Go to Appearance > install plugins page.
    2. Update Visual Composer plugin.

    It was worked for me. Try it.

    Thanks,
    Mazhar

    Hola, tengo este mismo problema pero solo en una pagina, en todas me abre bien el editor :¨( estoy que exploto el pc jajajaj el editor se queda cargando y al final sale su icono del gorrito blanco y no muestra nada

    (@hassancortex) Thanks. I had to downgrade from WP 5.7.1 to 5.4.2 and works great.

    it is very simple see in right side wp-bkery is minimize ,need to drag and fit to actual site
    more info contact me ankit.groofl@gmail.com
    mob:9399366315

Viewing 15 replies - 16 through 30 (of 35 total)
  • You must be logged in to reply to this topic.